jQuery(document).ready(function () {
	
	// Add event listener for heart icons
    jQuery(document).on('click', '.wpgp-hearticon-anchor', function (event) {
        var heartIcon = jQuery(this).find('.wpgp-hearticon-img');
        var countSpan = jQuery(this).next();
		
		var comment_id = jQuery(this).closest('.wpgp-replylike-wrapper').attr('data-prayer-id');
		
		jQuery.ajax({
			type: 'POST',
			url: wpgp_vars.ajax_url,
			dataType: 'json',
			data: {
				action: 'like_prayer_comment',
				comment_id: comment_id,
				security: wpgp_vars.wpgp_verification_nonce
			},
			success: function (res) {
				if(res.status == 'success'){
					if (heartIcon.hasClass('like')) {
						heartIcon.removeClass('like');
						countSpan.text(res.updated_likes);
					} else {
						heartIcon.addClass('like');
						countSpan.text(res.updated_likes);
					}
				}
			},
			error: function () {
				
			}
		});
		
	});


    // Add event listener for reply button container
    jQuery(document).on('click', '.wpgp-replysection-wrapper', function (event) {

        // Close any previously opened forms
        jQuery('.wpgp-commentor-replyform-wrapper').remove();

        // Get the clicked .wpgp-commentor-replybtn element
        var replyBtn = jQuery(event.target);

        // Append form container next to the clicked reply button's .wpgp-flexproperty-container
        var areaContainer = replyBtn.closest('.wpgp-replylike-wrapper');
        var postID = areaContainer.attr('data-prayer-id');
		
		var comment_form = jQuery(wpgp_vars.wpgp_reply_form);
		comment_form.find('input[name="commentor_reply_id"]').val(postID);

        comment_form.insertAfter(areaContainer);

        var spanName = jQuery('#wpgp-replyform-replyto-namespan');
        spanName.text(replyBtn.closest('.wpgp-flexproperty-container').find('.wpgp-avatar-username')[0].textContent);

        jQuery('#wpgp-replyform-closeID-formicon').on('click', function () {
            jQuery(this).closest('.wpgp-commentor-replyform-wrapper').remove();
        });
    });
	
	
	jQuery(document).on('submit', '.wpgp-pray-form', async function (event) {
		event.preventDefault();

		const pray_form = jQuery(this),
			FormButton = jQuery("#wpgp-prayerform-submit"),
			wpgpMsgBox = jQuery(`
				<div class="wpgp-msg-popup" style="position:fixed;">
					<span class="wpgp-span-msgbox"></span>
					<svg class="wpgp-alertbox-closeicon wpgp-replyform-alertbox-closeicon" aria-hidden="true" focusable="false" data-prefix="fas" data-icon="times" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 352 512">
						<path fill="#ffffff" d="M242.72 256l100.07-100.07c12.28-12.28 12.28-32.19 0-44.48l-22.24-22.24c-12.28-12.28-32.19-12.28-44.48 0L176 189.28 75.93 89.21c-12.28-12.28-32.19-12.28-44.48 0L9.21 111.45c-12.28 12.28-12.28 32.19 0 44.48L109.28 256 9.21 356.07c-12.28 12.28-12.28 32.19 0 44.48l22.24 22.24c12.28 12.28 32.2 12.28 44.48 0L176 322.72l100.07 100.07c12.28 12.28 32.2 12.28 44.48 0l22.24-22.24c12.28-12.28 12.28-32.19 0-44.48L242.72 256z"></path>
					</svg>
				</div>
			`),
			prayerForm = jQuery('.wpgp-prayerform-wrapper');

		FormButton.addClass('disabled');
		
		if(wpgp_vars.recaptcha_v3_enable){
			try {
				let token = await wpgp_updateRecaptchaToken();
			} catch (error) {
				wpgpMsgBox.insertBefore(prayerForm);
				wpgpMsgBox.css('background-color', '#d32f2f');
				jQuery('.wpgp-span-msgbox').text(error);
				FormButton.removeClass('disabled');

				setTimeout(() => wpgpMsgBox.fadeOut(500, function(){ jQuery(this).remove();}), 5000);
				return;
			}
		}
		
		const pray_data = pray_form.serialize();

		jQuery.ajax({
			url: wpgp_vars.ajax_url,
			type: "POST",
			data: `action=submit_prayer_request&${pray_data}&security=${wpgp_vars.wpgp_verification_nonce}`,
			dataType: "json"
		}).done(function (data) {
			wpgpMsgBox.insertBefore(prayerForm);
			const bgColor = data.success ? '#43a047' : '#d32f2f';
			wpgpMsgBox.css('background-color', bgColor);
			jQuery('.wpgp-span-msgbox').text(data.success ? data.message : data.error);
			if(data.success) pray_form.trigger("reset");
			FormButton.removeClass('disabled');
			
			if(wpgp_vars.recaptcha_v2_enable){
				grecaptcha.reset();
			}

			setTimeout(() => wpgpMsgBox.fadeOut(500, function(){ jQuery(this).remove();}), 5000);
		}).fail(function () {
			wpgpMsgBox.insertBefore(prayerForm);
			wpgpMsgBox.css('background-color', '#d32f2f');
			jQuery('.wpgp-span-msgbox').text(wpgp_vars.wpgp_fail_error);
			FormButton.removeClass('disabled');
			
			if(wpgp_vars.recaptcha_v2_enable){
				grecaptcha.reset();
			}

			setTimeout(() => wpgpMsgBox.fadeOut(500, function(){ jQuery(this).remove();}), 5000);
		});
	});
 

    // AJAX form submission for comment
    jQuery(document).on('submit', '.wpgp-commentor-replyform', function (event) {
		event.preventDefault();
		
		const reply_form = jQuery(this),
			reply_data = reply_form.serialize(),
			ReplyButton = jQuery(".wpgp-replyform-submitbtn"),
			wpgpMsgBox = jQuery(`
				<div class="wpgp-msg-popup" style="position:fixed;">
					<span class="wpgp-span-msgbox"></span>
					<svg class="wpgp-alertbox-closeicon wpgp-replyform-alertbox-closeicon" aria-hidden="true" focusable="false" data-prefix="fas" data-icon="times" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 352 512">
						<path fill="#ffffff" d="M242.72 256l100.07-100.07c12.28-12.28 12.28-32.19 0-44.48l-22.24-22.24c-12.28-12.28-32.19-12.28-44.48 0L176 189.28 75.93 89.21c-12.28-12.28-32.19-12.28-44.48 0L9.21 111.45c-12.28 12.28-12.28 32.19 0 44.48L109.28 256 9.21 356.07c-12.28 12.28-12.28 32.19 0 44.48l22.24 22.24c12.28 12.28 32.2 12.28 44.48 0L176 322.72l100.07 100.07c12.28 12.28 32.2 12.28 44.48 0l22.24-22.24c12.28-12.28 12.28-32.19 0-44.48L242.72 256z"></path>
					</svg>
				</div>
			`),
			prayerForm = jQuery('.wpgp-prayerform-wrapper');

		ReplyButton.addClass("disabled");

		jQuery.ajax({
			url: wpgp_vars.ajax_url,
			type: "POST",
			data: `action=submit_prayer_comment&${reply_data}&security=${wpgp_vars.wpgp_verification_nonce}`,
			dataType: "json",
		}).done(function (response) {
			wpgpMsgBox.insertBefore(prayerForm);
			const spanTag = jQuery('.wpgp-span-msgbox'),
				bgColor = response.success ? '#43a047' : '#d32f2f';

			wpgpMsgBox.css('background-color', bgColor);
			spanTag.text(response.success ? response.message : response.error);
			if (response.success) jQuery('.wpgp-commentor-replyform-wrapper').toggle();
			ReplyButton.removeClass("disabled");

			setTimeout(() => wpgpMsgBox.fadeOut(500, function(){ jQuery(this).remove();}), 5000);
			
		}).fail(function () {
			wpgpMsgBox.insertBefore(prayerForm);
			jQuery('.wpgp-span-msgbox').text(wpgp_vars.wpgp_fail_error);
			wpgpMsgBox.css('background-color', '#d32f2f');
			ReplyButton.removeClass("disabled");

			setTimeout(() => wpgpMsgBox.fadeOut(500, function(){ jQuery(this).remove();}), 5000);
		});
	});

	
	// Add event listener for Close Icon of Alert Box
    jQuery(document).on('click', '.wpgp-alertbox-closeicon', function (event) {
        // Close opened Alert Box
        jQuery('.wpgp-msg-popup').fadeOut(500, function(){ jQuery(this).remove();});
    });
	

	// Load more functionality
	let currentPage = 1;
	
    jQuery(document).on('click', '.wpgp-load-more-btn', function(){
		
		const load_more_btn = jQuery(this);
		currentPage++;
		load_more_btn.addClass("disabled");
		
		jQuery.ajax({
			type: 'POST',
			url: wpgp_vars.ajax_url,
			dataType: 'json',
			data: {
				action: 'load_more_prayer_request',
				paged: currentPage,
				security: wpgp_vars.wpgp_verification_nonce,
			},
			success: function (res) {
				load_more_btn.removeClass("disabled");
				if(res.status){
				   load_more_btn.remove();
			  		jQuery('.wpgp-allcommentor-wrapper').append(res.comments);
				} else {
					currentPage--;
				}
			},
			error: function () {
				load_more_btn.removeClass("disabled");
			}
		});
    });
});