<?php
/**
 * Plugin Name: GoPray
 * Plugin URI: https://www.goministry.com/
 * Description: Visitors can share prayer requests and pray for others
 * Version: 0.2
 * Author: GoPrayer
 * Author URI: https://www.goprayer.com/
 * Text Domain: gopray
 * License: GPLv2 or later
 */

if (!defined('ABSPATH')) {
    exit;
}

if( ! function_exists('get_plugin_data') ){
	require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
}

$plugin_data = get_plugin_data( __FILE__ );

define('WPGP_PLUGIN_VERSION', $plugin_data['Version']);
define('WPGP_PLUGIN_URL', plugin_dir_url(__FILE__));
define('WPGP_PLUGIN_DIR', plugin_dir_path(__FILE__));

require_once WPGP_PLUGIN_DIR . 'includes/class-prayer-request.php';
require_once WPGP_PLUGIN_DIR . 'includes/class-prayer-comment.php';
require_once WPGP_PLUGIN_DIR . 'includes/class-prayer-settings.php';
require_once WPGP_PLUGIN_DIR . 'includes/class-prayer-shortcode.php';
require_once WPGP_PLUGIN_DIR . 'admin/class-admin.php';

function wpgp_plugin_activate() {
    flush_rewrite_rules();
}
register_activation_hook(__FILE__, 'wpgp_plugin_activate');

function wpgp_plugin_deactivate() {
    flush_rewrite_rules();
}
register_deactivation_hook(__FILE__, 'wpgp_plugin_deactivate');


function wpgp_plugin_load_textdomain() {
    load_plugin_textdomain('gopray', false, dirname(plugin_basename(__FILE__)) . '/languages');
}
add_action('plugins_loaded', 'wpgp_plugin_load_textdomain');
