<?php 
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
$wpgp_options = $args['wpgp_options'];
$name_field_required = isset($wpgp_options['wpgp_name_field_required']) ? $wpgp_options['wpgp_name_field_required'] : '0';
$email_field_required = isset($wpgp_options['wpgp_email_field_required']) ? $wpgp_options['wpgp_email_field_required'] : '0';
$recaptcha_type = isset($wpgp_options['wpgp_recaptcha_type']) ? $wpgp_options['wpgp_recaptcha_type'] : 'disable';
$restrict_login = isset($wpgp_options['wpgp_restrict_access']) ? $wpgp_options['wpgp_restrict_access'] : '0';

$recaptcha_site_key = '';
if($recaptcha_type == 'v2'){
	$recaptcha_site_key = isset($wpgp_options['wpgp_recaptcha_site_key_v2']) && !empty($wpgp_options['wpgp_recaptcha_site_key_v2']) ? $wpgp_options['wpgp_recaptcha_site_key_v2'] : '00';
}

if($restrict_login && !is_user_logged_in()){ ?>
	<span class="wpgp-prayer-form-notice"><?php echo esc_html__('Please log in first to submit a prayer request', 'gopray'); ?></span>
<?php } else { ?>

<!-- Form container -->
        <div class="wpgp-prayerform-wrapper">

            <form method="POST" class="wpgp-pray-form">
                <fieldset class="wpgp-fieldset-form-control">
                    <label class="wpgp-prayer-label"><?php echo esc_html__('Name', 'gopray'); ?> <?php echo $name_field_required ? '*' : ''; ?> </label><br />
                    <input type="text" class="wpgp-prayerform-input-control" name="_wpgp_prayer_request_formdata[_wpgp_prayer_request_name]" <?php echo $name_field_required ? 'required' : ''; ?> />
                </fieldset>

                <fieldset class="wpgp-fieldset-form-control">
                    <label class="wpgp-prayer-label"><?php echo esc_html__('Email', 'gopray'); ?> <?php echo $email_field_required ? '*' : ''; ?></label><br />
                    <input type="email" class="wpgp-prayerform-input-control" name="_wpgp_prayer_request_formdata[_wpgp_prayer_request_email]" <?php echo $email_field_required ? 'required' : ''; ?> />
                </fieldset>

                <fieldset class="wpgp-fieldset-form-control">
                    <label class="wpgp-prayer-label"><?php echo esc_html__('Request (500 characters)', 'gopray'); ?> </label><br />
                    <textarea type="text" class="wpgp-prayerform-textarea-control" name="_wpgp_prayer_request_formdata[_wpgp_prayer_request_text]" placeholder="<?php echo esc_attr__('Request', 'gopray'); ?>" maxlength="500" ></textarea>
                </fieldset>
				
				<?php 
				if($recaptcha_type == 'v2' && $recaptcha_site_key){ ?>
					<fieldset class="wpgp-fieldset-form-control">
						<div class="g-recaptcha" data-sitekey="<?php echo esc_attr($recaptcha_site_key); ?>"></div>
					</fieldset>
				<?php
				} elseif($recaptcha_type == 'v3'){ ?>
					<input type="hidden" id="g-recaptcha-response" name="g-recaptcha-response">
				<?php
				} ?>

                <div class="wpgp-prayerform-button">
                    <button type="submit" id="wpgp-prayerform-submit" class="wpgp-prayer-submitbutton"><?php echo esc_html__('Send', 'gopray'); ?></button>
                </div>
            </form>
        </div>
        <!-- Form container -->
<?php
}