<?php 
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
$wpgp_options = $args['wpgp_options'];
$enable_comments = isset($wpgp_options['wpgp_enable_comments']) ? $wpgp_options['wpgp_enable_comments'] : 0;
$enable_hearts = isset($wpgp_options['wpgp_enable_hearts']) ? $wpgp_options['wpgp_enable_hearts'] : 0;
$display_period = isset($wpgp_options['wpgp_display_period']) ? $wpgp_options['wpgp_display_period'] : 'all';
$display_recived_date = isset($wpgp_options['wpgp_enable_show_date']) ? $wpgp_options['wpgp_enable_show_date'] : 0;
$wp_date_format = get_option('date_format');

$date_query = array();

if ($display_period != 'all') {
    $days_ago = intval($display_period);
    $date_query = array(
        array(
            'after' => gmdate('Y-m-d', strtotime("-$days_ago days")),
            'inclusive' => true,
        ),
    );
}

$paged = isset($args['paged']) && !empty($args['paged']) ? $args['paged'] : 1;
$avatar_src = WPGP_PLUGIN_URL . 'assets/images/avatar.png';

			$requests = new WP_Query(array(
				'post_type' 	 => 'wpgp_prayer_request',
				'post_status' 	 => array('publish'),
				'posts_per_page' => 20,
				'paged' 		 => $paged,
				'date_query'     => $date_query,
			));
			
			if ($requests->have_posts()) {
                while ($requests->have_posts()) {
                    $requests->the_post();
					
					$prayer_id = get_the_ID();
					$prayer_text = get_the_title();
					$prayer_meta = get_post_meta($prayer_id, '_wpgp_prayer_request_metadata', true);

					$prayer_name = isset($prayer_meta['_wpgp_prayer_request_name']) && !empty($prayer_meta['_wpgp_prayer_request_name']) ? $prayer_meta['_wpgp_prayer_request_name'] : __('Anonymous', 'gopray');
					$prayer_date = isset($prayer_meta['_wpgp_prayer_request_date']) ? $prayer_meta['_wpgp_prayer_request_date'] : '';
					$prayer_likes = isset($prayer_meta['_wpgp_prayer_request_likes']) ? $prayer_meta['_wpgp_prayer_request_likes'] : 0;
					$prayer_related_comments_array = isset($prayer_meta['_wpgp_prayer_request_related_comments']) && is_array($prayer_meta['_wpgp_prayer_request_related_comments']) ? $prayer_meta['_wpgp_prayer_request_related_comments'] : [];
					
					$prayer_meta['_wpgp_prayer_request_liked_by'] = isset($prayer_meta['_wpgp_prayer_request_liked_by']) && is_array($prayer_meta['_wpgp_prayer_request_liked_by']) ? $prayer_meta['_wpgp_prayer_request_liked_by'] : array();
					
					$prayer_liked = false;
					$current_user_ip = WPGP_Prayer_Shortcode::wpgp_get_the_user_ip();
					
					if (in_array($current_user_ip, $prayer_meta['_wpgp_prayer_request_liked_by'])) {
						$prayer_liked = true;
					}
					
					if($prayer_date){
						$prayer_date_obj = new DateTime($prayer_date);
						$prayer_date = date_i18n($wp_date_format, $prayer_date_obj->getTimestamp());
					}
				?>
                    <section class="wpgp-anycomment-single-container">

						<!-- Head prayer request container starts here.-->
						<div class="wpgp-usercomment-wrapper">

							<div class="wpgp-flexproperty-container">
								<img class="wpgp-headcomment-avatar" src="<?php echo esc_url($avatar_src); ?>" alt="avatar">

								<div class="wpgp-commentinfo-wrapper">
									<label for="wpgp-commentor-name" class="wpgp-avatar-username"><?php echo esc_html($prayer_name); ?></label>
									<?php if($display_recived_date){ ?>
									<label for="wpgp-commentor-Time" class="wpgp-avatar-posttime"><?php echo esc_html($prayer_date); ?></label>
									<?php 
									} ?>

									<p class="wpgp-singlecommentor-prayer"><?php echo esc_html($prayer_text); ?></p>

									<div class="wpgp-replylike-wrapper" data-prayer-id="<?php echo esc_attr($prayer_id); ?>">
										
										<?php 
										if($enable_comments){ ?>
										
										<div class="wpgp-replysection-wrapper">
											<svg class="wpgp-anycomment-single-replyicon" aria-hidden="true" focusable="false" data-prefix="fas" data-icon="reply" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" id="reply_icon">
												<path fill="#B6C1C6" d="M8.309 189.836L184.313 37.851C199.719 24.546 224 35.347 224 56.015v80.053c160.629 1.839 288 34.032 288 186.258 0 61.441-39.581 122.309-83.333 154.132-13.653 9.931-33.111-2.533-28.077-18.631 45.344-145.012-21.507-183.51-176.59-185.742V360c0 20.7-24.3 31.453-39.687 18.164l-176.004-152c-11.071-9.562-11.086-26.753 0-36.328z">
												</path>
											</svg>
											<span class="wpgp-commentor-replybtn"><?php echo esc_html__('Reply', 'gopray'); ?></span>
										</div>
										
										<?php
										} ?>
										
										<?php										
										if($enable_hearts){ ?>

										<div class="wpgp-likesection-wrapper">
											<a class="wpgp-hearticon-anchor">
											<svg class="wpgp-hearticon-img <?php echo $prayer_liked ? 'like' : ''; ?>" aria-hidden="true" focusable="false" data-prefix="fas" data-icon="heart"  role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" fill="#B6C1C6"><path d="M462.3 62.6C407.5 15.9 326 24.3 275.7 76.2L256 96.5l-19.7-20.3C186.1 24.3 104.5 15.9 49.7 62.6c-62.8 53.6-66.1 149.8-9.9 207.9l193.5 199.8c12.5 12.9 32.8 12.9 45.3 0l193.5-199.8c56.3-58.1 53-154.3-9.8-207.9z"></path></svg>
											</a>
											<span class="wpgp-heartcount-span"><?php echo esc_html($prayer_likes); ?></span>
										</div>
										
										<?php
										} ?>

									</div>
									
									<?php 
									foreach($prayer_related_comments_array as $single_comment_id){
										
										if(get_post_status($single_comment_id) != 'publish') continue;
										
										$comment_text = get_the_title($single_comment_id);
										$comment_meta = get_post_meta($single_comment_id, '_wpgp_prayer_comment_metadata', true);

										$comment_name = isset($comment_meta['_wpgp_prayer_comment_name']) && !empty($comment_meta['_wpgp_prayer_comment_name']) ? $comment_meta['_wpgp_prayer_comment_name'] : __('Anonymous', 'gopray');
										$comment_date = isset($comment_meta['_wpgp_prayer_comment_date']) ? $comment_meta['_wpgp_prayer_comment_date'] : '';
										$comment_likes = isset($comment_meta['_wpgp_prayer_comment_likes']) ? $comment_meta['_wpgp_prayer_comment_likes'] : 0;
										$comment_related_sub_comments_array = isset($comment_meta['_wpgp_comment_related_sub_comments']) && is_array($comment_meta['_wpgp_comment_related_sub_comments']) ? $comment_meta['_wpgp_comment_related_sub_comments'] : [];
										
										$comment_meta['_wpgp_prayer_comment_liked_by'] = isset($comment_meta['_wpgp_prayer_comment_liked_by']) && is_array($comment_meta['_wpgp_prayer_comment_liked_by']) ? $comment_meta['_wpgp_prayer_comment_liked_by'] : array();
					
										$comment_liked = false;
					
										if (in_array($current_user_ip, $comment_meta['_wpgp_prayer_comment_liked_by'])) {
											$comment_liked = true;
										}
										
										if($comment_date){
											$comment_date_obj = new DateTime($comment_date);
											$comment_date = date_i18n($wp_date_format, $comment_date_obj->getTimestamp());
										}
										
									?>
									
									<!-- Another Sub-Container starts here if any comments are existed for Above Head Prayer Comment.-->
									<div class="wpgp-usercomment-wrapper">

										<div class="wpgp-flexproperty-container">
											<img class="wpgp-comment-replyer-avatar" src="<?php echo esc_url($avatar_src); ?>" alt="avatar">

											<div class="wpgp-commentinfo-wrapper">
												<label for="wpgp-commentor-name" class="wpgp-avatar-username"><?php echo esc_html($comment_name); ?></label>
												<label for="Name" class="wpgp-singlecomment-replyername"><?php echo esc_html__('Reply to', 'gopray'); ?> <?php echo esc_html($prayer_name); ?></label>
												
												<?php if($display_recived_date){ ?>
												<label for="wpgp-commentor-Time" class="wpgp-avatar-posttime"><?php echo esc_html($comment_date); ?></label>
												<?php 
												} ?>

												<p class="wpgp-singlecommentor-prayer"><?php echo esc_html($comment_text); ?></p>

												<div class="wpgp-replylike-wrapper" data-prayer-id="<?php echo esc_attr($single_comment_id); ?>">
													<?php 
													if($enable_comments){ ?>
													
													<div class="wpgp-replysection-wrapper">
														<svg class="wpgp-anycomment-single-replyicon" aria-hidden="true" focusable="false" data-prefix="fas" data-icon="reply" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" id="reply_icon">
															<path fill="#B6C1C6" d="M8.309 189.836L184.313 37.851C199.719 24.546 224 35.347 224 56.015v80.053c160.629 1.839 288 34.032 288 186.258 0 61.441-39.581 122.309-83.333 154.132-13.653 9.931-33.111-2.533-28.077-18.631 45.344-145.012-21.507-183.51-176.59-185.742V360c0 20.7-24.3 31.453-39.687 18.164l-176.004-152c-11.071-9.562-11.086-26.753 0-36.328z">
															</path>
														</svg>
														<span class="wpgp-commentor-replybtn"><?php echo esc_html__('Reply', 'gopray'); ?></span>
													</div>
													
													<?php
													} ?>
													
													<?php
													if($enable_hearts){ ?>

													<div class="wpgp-likesection-wrapper">
														<a class="wpgp-hearticon-anchor">
															<svg class="wpgp-hearticon-img <?php echo $comment_liked ? 'like' : ''; ?>" aria-hidden="true" focusable="false" data-prefix="fas" data-icon="heart" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" fill="#B6C1C6"><path d="M462.3 62.6C407.5 15.9 326 24.3 275.7 76.2L256 96.5l-19.7-20.3C186.1 24.3 104.5 15.9 49.7 62.6c-62.8 53.6-66.1 149.8-9.9 207.9l193.5 199.8c12.5 12.9 32.8 12.9 45.3 0l193.5-199.8c56.3-58.1 53-154.3-9.8-207.9z"></path></svg>
														</a>
														<span class="wpgp-heartcount-span"><?php echo esc_html($comment_likes); ?></span>
													</div>
													
													<?php
													} ?>

												</div>
												
												<?php
												foreach($comment_related_sub_comments_array as $single_sub_comment_id){
													
													if(get_post_status($single_sub_comment_id) != 'publish') continue;
													
													$sub_comment_text = get_the_title($single_sub_comment_id);
													$sub_comment_meta = get_post_meta($single_sub_comment_id, '_wpgp_prayer_comment_metadata', true);

													$sub_comment_name = isset($sub_comment_meta['_wpgp_prayer_comment_name']) && !empty($sub_comment_meta['_wpgp_prayer_comment_name']) ? $sub_comment_meta['_wpgp_prayer_comment_name'] : __('Anonymous', 'gopray');
													$sub_comment_date = isset($sub_comment_meta['_wpgp_prayer_comment_date']) ? $sub_comment_meta['_wpgp_prayer_comment_date'] : '';
													$sub_comment_likes = isset($sub_comment_meta['_wpgp_prayer_comment_likes']) ? $sub_comment_meta['_wpgp_prayer_comment_likes'] : 0;
													
													$sub_comment_meta['_wpgp_prayer_comment_liked_by'] = isset($sub_comment_meta['_wpgp_prayer_comment_liked_by']) && is_array($sub_comment_meta['_wpgp_prayer_comment_liked_by']) ? $sub_comment_meta['_wpgp_prayer_comment_liked_by'] : array();
					
													$sub_comment_liked = false;

													if (in_array($current_user_ip, $sub_comment_meta['_wpgp_prayer_comment_liked_by'])) {
														$sub_comment_liked = true;
													}
													
													if($sub_comment_date){
														$sub_comment_date_obj = new DateTime($sub_comment_date);
														$sub_comment_date = date_i18n($wp_date_format, $sub_comment_date_obj->getTimestamp());
													}
													
												
												?>
												
												<!-- Another Sub-Container starts here if any comments are existed for Above Head Prayer Comment.-->
												<div class="wpgp-usercomment-wrapper">

													<div class="wpgp-flexproperty-container">
														<img class="wpgp-comment-replyer-avatar" src="<?php echo esc_url($avatar_src); ?>" alt="avatar">

														<div class="wpgp-commentinfo-wrapper">
															<label for="wpgp-commentor-name" class="wpgp-avatar-username"><?php echo esc_html($sub_comment_name); ?></label>
															<label for="Name" class="wpgp-singlecomment-replyername"><?php echo esc_html__('Reply to', 'gopray'); ?> <?php echo esc_html($comment_name); ?></label>
															
															<?php if($display_recived_date){ ?>
															<label for="wpgp-commentor-Time" class="wpgp-avatar-posttime"><?php echo esc_html($sub_comment_date); ?></label>
															<?php 
															} ?>

															<p class="wpgp-singlecommentor-prayer"><?php echo esc_html($sub_comment_text); ?></p>

															<div class="wpgp-replylike-wrapper" data-prayer-id="<?php echo esc_attr($single_sub_comment_id); ?>">
																<?php
																if($enable_hearts){ ?>
																
																<div class="wpgp-likesection-wrapper">
																	<a class="wpgp-hearticon-anchor">
																		<svg class="wpgp-hearticon-img <?php echo $sub_comment_liked ? 'like' : ''; ?>" aria-hidden="true" focusable="false" data-prefix="fas" data-icon="heart" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" fill="#B6C1C6"><path d="M462.3 62.6C407.5 15.9 326 24.3 275.7 76.2L256 96.5l-19.7-20.3C186.1 24.3 104.5 15.9 49.7 62.6c-62.8 53.6-66.1 149.8-9.9 207.9l193.5 199.8c12.5 12.9 32.8 12.9 45.3 0l193.5-199.8c56.3-58.1 53-154.3-9.8-207.9z"></path></svg>
																	</a>
																	<span class="wpgp-heartcount-span"><?php echo esc_html($sub_comment_likes); ?></span>
																</div>
																
																<?php
																} ?>
																
															</div>
														</div>
													</div>
												</div>
												<!-- Another Sub-Container Child ends here if any comments are existed for Above Sub-Container Prayer Request.-->
												
												<?php 
												} ?>

											</div>
											<!-- Sub-container Information-Division Ends Here.  -->

										</div>
									</div>
									<!-- Another Sub-container ends here if any comments are existed for Above Head-Prayer Comment. -->
									<?php 
									} ?>
									
								</div>
								<!-- Head Prayer wpgp-commentinfo-wrapper Ends Here. -->

							</div>
						</div>
						<!-- Head prayer request container ends here.-->

					</section>
					
			
				<?php
                }
				
				if($requests->max_num_pages > $paged){ ?>
					<div class="wpgp-load-more-wrapper">
						<button class="wpgp-load-more-btn"><?php echo esc_html__('Load more', 'gopray'); ?></button>
					</div>
				<?php
				}
				
                wp_reset_postdata();
            } else { ?>
				<span><?php echo esc_html__('No prayer requests were found', 'gopray'); ?></span>
			<?php
				   }
